import * as React from 'react';
import { PickerTimeProps, RangePickerTimeProps } from 'antd/lib/date-picker/generatePicker';
import { Dayjs } from '@/lib/dayjs';
export declare type TimeRangePickerProps = RangePickerTimeProps<Dayjs>;
declare const RangePicker: React.ForwardRefExoticComponent<Omit<import("rc-picker/lib/RangePicker").RangePickerTimeProps<import("dayjs").Dayjs>, "locale" | "generateConfig" | "hideHeader" | "components"> & {
    locale?: import("antd/lib/date-picker/generatePicker").PickerLocale;
    size?: import("antd/lib/button").ButtonSize;
    placement?: "bottomLeft" | "bottomRight" | "topLeft" | "topRight";
    bordered?: boolean;
    status?: "" | "warning" | "error";
} & React.RefAttributes<any>>;
export interface TimePickerProps extends Omit<PickerTimeProps<Dayjs>, 'picker'> {
    addon?: () => React.ReactNode;
    popupClassName?: string;
}
declare const TimePicker: React.ForwardRefExoticComponent<TimePickerProps & React.RefAttributes<any>>;
declare type MergedTimePicker = typeof TimePicker & {
    RangePicker: typeof RangePicker;
};
declare const _default: MergedTimePicker;
export default _default;
